FKME FLAM Key Management Exit (FKME) Service Provider Interface (SPI)

Macros
Function codes

Function codes for key management exit. More...

## Macros
#define | FLAMKME_FUCO_DECO 0
| Function code for decompression/decryption. More...
#define | FLAMKME_FUCO_COMP 1
| Function code for compression/encryption. More...
#define | FLAMKME_FUCO_CHNG 2
| Function code for translation of the data key from one KEK to another. More...
#define | FLAMKME_FUCO_RENW 3
| Function code for renewal of the data key encryption. More...
#define | FLAMKME_FUCO_INFO 0xFFFFFFFF
| Function code to provide information. More...

## Detailed Description

Function codes for key management exit.

The function codes below are given by the exit driver as input to the service provider interface to define the function to be called and how the parameter are used.

## Macro Definition Documentation

## ◆ FLAMKME_FUCO_CHNG

#define FLAMKME_FUCO_CHNG 2

Function code for translation of the data key from one KEK to another.

## ◆ FLAMKME_FUCO_COMP

#define FLAMKME_FUCO_COMP 1

Function code for compression/encryption.

## ◆ FLAMKME_FUCO_DECO

#define FLAMKME_FUCO_DECO 0

Function code for decompression/decryption.

## ◆ FLAMKME_FUCO_INFO

#define FLAMKME_FUCO_INFO 0xFFFFFFFF

Function code to provide information.

## ◆ FLAMKME_FUCO_RENW

#define FLAMKME_FUCO_RENW 3

Function code for renewal of the data key encryption.